#!/usr/bin/perl
use strict;
use warnings;
use 5.010;

use Net::SMTP 3.05;

my $domain = shift(@ARGV) || $ENV{TINY_DOMAIN} || 'pc1.fritz.box';

my $smtp = Net::SMTP->new( $domain, Timeout => 5, Debug => 1 ) or die $@;

$smtp->command( 'AUTH', 'LOGIN' ) or die $@; 
my $answer = $smtp->getline();

say STDERR 't\client.pl: ', $answer;
say STDERR 't\client.pl: ', ( $answer ? 'passt' : 'FEHLER!' );
